# HueTracer: Cell-cell interaction prediction model for Visium HD spatial transcriptome platform
HueTracer is a software program created as a follow-up to [DeepCOLOR](https://github.com/kojikoji/deepcolor) software.

## Instalation
You can install HueTracer using pip command from your shell.
```shell
pip install huetracer
```

## Usage
You need to prepare Visium HD spatial transcriptome data generated with SpaceRanger program by 10X. You can see the usage as follows.

#### Visium HD giant cell tumor sample
- [Nucleus segmentation tutorial](tutorial/nucleus_segmentation_tutorial.ipynb)  
- [Cell type annotation for single cell transcriptome tutorial](tutorial/single_cell_annotation_tutorial.ipynb)  
- [Cell type label transfer tutorial](tutorial/label_transfer_tutorial.ipynb)  

#### Visium HD colon adenocarcinoma sample obtained from 10X website
- [Nucleus segmentation tutorial](tutorial/nucleus_segmentation_tutorial_10x.ipynb)  
- [Cell type annotation for single cell transcriptome tutorial](tutorial/single_cell_annotation_tutorial_10x.ipynb)  
- [Cell type label transfer tutorial](tutorial/label_transfer_tutorial_10x.ipynb)  
